package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TPpeMain;

/**
 * 员工PPE检查记录Service接口
 * 
 * @author ssy
 * @date 2023-11-30
 */
public interface ITPpeMainService 
{
    /**
     * 查询员工PPE检查记录
     * 
     * @param id 员工PPE检查记录ID
     * @return 员工PPE检查记录
     */
    public TPpeMain selectTPpeMainById(Long id);

    /**
     * 查询员工PPE检查记录列表
     * 
     * @param tPpeMain 员工PPE检查记录
     * @return 员工PPE检查记录集合
     */
    public List<TPpeMain> selectTPpeMainList(TPpeMain tPpeMain);

    /**
     * 新增员工PPE检查记录
     * 
     * @param tPpeMain 员工PPE检查记录
     * @return 结果
     */
    public int insertTPpeMain(TPpeMain tPpeMain);

    /**
     * 修改员工PPE检查记录
     * 
     * @param tPpeMain 员工PPE检查记录
     * @return 结果
     */
    public int updateTPpeMain(TPpeMain tPpeMain);

    /**
     * 批量删除员工PPE检查记录
     * 
     * @param ids 需要删除的员工PPE检查记录ID
     * @return 结果
     */
    public int deleteTPpeMainByIds(Long[] ids);

    /**
     * 删除员工PPE检查记录信息
     * 
     * @param id 员工PPE检查记录ID
     * @return 结果
     */
    public int deleteTPpeMainById(Long id);
}
